$ set nover
$!
$! -------------------------------------------------------
$! This procedure scans a directory for RMS ISAM files and
$! creates a FDL in the same directory
$! -------------------------------------------------------
$!
$ if p1.eqs."" then goto NODIR
$!
$ dir/out=a.a/col=1/nohead/notrail 'p1'
$!
$ open/read infile a.a
$!
$ LOOP:
$ read/end_of_file=Klaar infile ismfil
$!
$ found = f$search(ismfil)
$ if found.eqs."" then goto LOOP
$ if f$file_attributes(ismfil, "org").nes."IDX" then goto LOOP
$!
$ echo "Generating & optimising FDL of ",found
$ ismfil = ismfil - f$parse(ismfil,,, "VERSION")
$!
$ analyze/rms/fdl 'ismfil'
$ fdlfil = ismfil - f$parse(ismfil,,, "TYPE")
$ fdlfil = fdlfil - f$parse(fdlfil,,, "DIRECTORY") - f$parse(fdlfil,,, "DEVICE")
$!
$ edit/fdl/analysis='fdlfil'/nointeractive 'fdlfil'
$ goto LOOP
$!
$ NODIR:
$ write sys$output "Specify a directory as parameter 1."
$!
$ KLAAR:
$ close infile
$ exit
