$!
$! Remove old library and create an, empty, new one.
$!
$ savdir = f$directory()
$ savver = f$verify(0)
$!
$ set verify
$ set def e$xibsrc
$!
$ del/log e$xiblib:x$object.olb;*
$ lib/cre e$xiblib:x$object.olb
$!
$! Compile all routines and insert them in the library
$!
$ set noon
$ dibol e$xibsrc:axakk.dbl
$ dibol e$xibsrc:axakr.dbl
$ dibol e$xibsrc:axalf.dbl
$ dibol e$xibsrc:axalm.dbl
$ dibol e$xibsrc:axamd.dbl
$ dibol e$xibsrc:axask.dbl
$ dibol e$xibsrc:axasr.dbl
$ dibol e$xibsrc:axbge.dbl
$ dibol e$xibsrc:axchr.dbl
$ dibol e$xibsrc:axdec.dbl
$!
$ dibol e$xibsrc:axded.dbl
$ dibol e$xibsrc:axdem.dbl
$ dibol e$xibsrc:axdfd.dbl
$ dibol e$xibsrc:axdfx.dbl
$ dibol e$xibsrc:axdmd.dbl
$ dibol e$xibsrc:axedt.dbl
$ dibol e$xibsrc:axfis.dbl
$ dibol e$xibsrc:axjnd.dbl
$ dibol e$xibsrc:axpcd.dbl
$ dibol e$xibsrc:axpdd.dbl
$!
$ dibol e$xibsrc:axpsw.dbl
$ dibol e$xibsrc:axstd.dbl
$ dibol e$xibsrc:axstp.dbl
$ dibol e$xibsrc:axstr.dbl
$ dibol e$xibsrc:axtdd.dbl
$ dibol e$xibsrc:axtkk.dbl
$ dibol e$xibsrc:axtkr.dbl
$ dibol e$xibsrc:axtsk.dbl
$ dibol e$xibsrc:axtsr.dbl
$ dibol e$xibsrc:axtyd.dbl
$!
$ dibol e$xibsrc:axxjn.dbl
$ dibol e$xibsrc:ddat1.dbl
$ dibol e$xibsrc:ddat2.dbl
$ dibol e$xibsrc:ddat3.dbl
$ dibol e$xibsrc:ddat5.dbl
$ dibol e$xibsrc:ddat6.dbl
$ dibol e$xibsrc:dxalm.dbl
$ dibol e$xibsrc:dxatt.dbl
$ dibol e$xibsrc:dxbgn.dbl
$ dibol e$xibsrc:dxdec.dbl
$!
$ dibol e$xibsrc:dxdem.dbl
$ dibol e$xibsrc:dxdfx.dbl
$ dibol e$xibsrc:dxerr.dbl
$ dibol e$xibsrc:dxkop.dbl
$ dibol e$xibsrc:dxlin.dbl
$ dibol e$xibsrc:dxpcd.dbl
$ dibol e$xibsrc:dxscr.dbl
$ dibol e$xibsrc:dxstr.dbl
$ dibol e$xibsrc:dxtxt.dbl
$ dibol e$xibsrc:dxtyd.dbl
$!
$ dibol e$xibsrc:dxvrd.dbl
$ dibol e$xibsrc:dxvrg.dbl
$ dibol e$xibsrc:dxxjn.dbl
$ dibol e$xibsrc:idat1.dbl
$ dibol e$xibsrc:idat2.dbl
$ dibol e$xibsrc:idat3.dbl
$ dibol e$xibsrc:idat5.dbl
$ dibol e$xibsrc:idat6.dbl
$ dibol e$xibsrc:iddt1.dbl
$ dibol e$xibsrc:iddt2.dbl
$!
$ dibol e$xibsrc:iddt3.dbl
$ dibol e$xibsrc:iddt5.dbl
$ dibol e$xibsrc:iddt6.dbl
$ dibol e$xibsrc:iddt8.dbl
$ dibol e$xibsrc:idxrd.dbl
$ dibol e$xibsrc:odat1.dbl
$ dibol e$xibsrc:odat2.dbl
$ dibol e$xibsrc:odat3.dbl
$ dibol e$xibsrc:odat4.dbl
$ dibol e$xibsrc:odat5.dbl
$!
$ dibol e$xibsrc:odat6.dbl
$ dibol e$xibsrc:odat7.dbl
$ dibol e$xibsrc:odat8.dbl
$ dibol e$xibsrc:otyd1.dbl
$ dibol e$xibsrc:otyd2.dbl
$ dibol e$xibsrc:pxalm.dbl
$ dibol e$xibsrc:pxbgn.dbl
$ dibol e$xibsrc:pxcon.dbl
$ dibol e$xibsrc:pxdat.dbl
$ dibol e$xibsrc:pxdec.dbl
$!
$ dibol e$xibsrc:pxdem.dbl
$ dibol e$xibsrc:pxdfx.dbl
$ dibol e$xibsrc:pxout.dbl
$ dibol e$xibsrc:pxpcd.dbl
$ dibol e$xibsrc:pxrgl.dbl
$ dibol e$xibsrc:pxtrm.dbl
$ dibol e$xibsrc:pxtyd.dbl
$ dibol e$xibsrc:pxxjn.dbl
$ dibol e$xibsrc:sdat1.dbl
$ dibol e$xibsrc:wxcre.dbl
$!
$ dibol e$xibsrc:wxcur.dbl
$ dibol e$xibsrc:wxinf.dbl
$ dibol e$xibsrc:wxmov.dbl
$ dibol e$xibsrc:wxrem.dbl
$ dibol e$xibsrc:wxsel.dbl
$ dibol e$xibsrc:wxtop.dbl
$ dibol e$xibsrc:xbeep.dbl
$ dibol e$xibsrc:xbsup.dbl
$ dibol e$xibsrc:xclbl.dbl
$ dibol e$xibsrc:xclse.dbl
$!
$ dibol e$xibsrc:xcrsp.dbl
$ dibol e$xibsrc:xerlo.dbl
$ dibol e$xibsrc:xesup.dbl
$ dibol e$xibsrc:xfile.dbl
$ dibol e$xibsrc:xfnam.dbl
$ dibol e$xibsrc:xform.dbl
$ dibol e$xibsrc:xfout.dbl
$ dibol e$xibsrc:xgopt.dbl
$ dibol e$xibsrc:xism1.dbl
$ dibol e$xibsrc:xism2.dbl
$!
$ dibol e$xibsrc:xism3.dbl
$ dibol e$xibsrc:xopen.dbl
$ dibol e$xibsrc:xopnt.dbl
$ dibol e$xibsrc:xotcf.dbl
$ dibol e$xibsrc:xprnt.dbl
$ dibol e$xibsrc:xprop.dbl
$ dibol e$xibsrc:xqueu.dbl
$ dibol e$xibsrc:xrecv.dbl
$ dibol e$xibsrc:xrel1.dbl
$ dibol e$xibsrc:xrel2.dbl
$!
$ dibol e$xibsrc:xrel3.dbl
$ dibol e$xibsrc:xrwnd.dbl
$ dibol e$xibsrc:xsend.dbl
$ dibol e$xibsrc:xsreg.dbl
$ dibol e$xibsrc:xstop.dbl
$ dibol e$xibsrc:xtmsg.dbl
$ dibol e$xibsrc:xtsiz.dbl
$ dibol e$xibsrc:xunlk.dbl
$ dibol e$xibsrc:xxcre.dbl
$ dibol e$xibsrc:xxopn.dbl
$ dibol e$xibsrc:xxsrt.dbl
$!
$ dibol e$xibsrc:x_asup.dbl
$!
$ dibol e$xibsrc:cvatr.dbl
$ dibol e$xibsrc:cvkey.dbl
$ dibol e$xibsrc:filec.dbl
$ set on
$!
$ lib/rep e$xiblib:x$object.olb *.obj
$!
$ del *.obj.*
$!
$ set def 'savdir'
$ if savver.eq.0 then set noverify
$ exit