;+
; KEYDEFS.INC - KEY DEFINITIONS
;
RECORD
; Control characters
	K_NULL,		D3,	000
	K_CTLA,		D3,	001
	K_CTLB,		D3,	002
	K_CTLC,		D3,	003
	K_CTLD,		D3,	004
	K_CTLE,		D3,	005
	K_CTLF,		D3,	006
	K_CTLG,		D3,	007
	K_CTLH,		D3,	008
	K_BS,		D3,	008	; synonym for CTLH
	K_CTLI,		D3,	009
	K_HT,		D3,	009	; synonym for CTLI
	K_CTLJ,		D3,	010
	K_LF,		D3,	010	; synonym for CTLJ
	K_CTLK,		D3,	011
	K_VT,		D3,	011	; synonym for CTLK
	K_CTLL,		D3,	012
	K_FF,		D3,	012	; synonym for CTLL
	K_CTLM,		D3,	013
	K_CR,		D3,	013	; synonym for CTLM
	K_RETURN,	D3,	013	; synonym for CTLM
	K_CTLN,		D3,	014
	K_CTLO,		D3,	015
	K_CTLP,		D3,	016
	K_CTLQ,		D3,	017
	K_CTLR,		D3,	018
	K_CTLS,		D3,	019
	K_CTLT,		D3,	020
	K_CTLU,		D3,	021
	K_CTLV,		D3,	022
	K_CTLW,		D3,	023
	K_CTLX,		D3,	024
	K_CTLY,		D3,	025
	K_CTLZ,		D3,	026
	K_ESCAPE,	D3,	027
	K_DELETE,	D3,	127
; Keypad keys
	K_PF1,		D3,	256
	K_PF2,		D3,	257
	K_PF3,		D3,	258
	K_PF4,		D3,	259
	K_KP0,		D3,	260
	K_KP1,		D3,	261
	K_KP2,		D3,	262
	K_KP3,		D3,	263
	K_KP4,		D3,	264
	K_KP5,		D3,	265
	K_KP6,		D3,	266
	K_KP7,		D3,	267
	K_KP8,		D3,	268
	K_KP9,		D3,	269
	K_ENTER,	D3,	270
	K_MINUS,	D3,	271
	K_COMMA,	D3,	272
	K_PERIOD,	D3,	273
; Cursor positioning keys
	K_UP,		D3,	274
	K_DOWN,		D3,	275
	K_LEFT,		D3,	276
	K_RIGHT,	D3,	277
; Function keys
	K_F6,		D3,	286
	K_F7,		D3,	287
	K_F8,		D3,	288
	K_F9,		D3,	289
	K_F10,		D3,	290
	K_F11,		D3,	291
	K_F12,		D3,	292
	K_F13,		D3,	293
	K_F14,		D3,	294
	K_HELP,		D3,	295
	K_DO,		D3,	296
	K_F17,		D3,	297
	K_F18,		D3,	298
	K_F19,		D3,	299
	K_F20,		D3,	300
; Editing keys
	K_FIND,		D3,	311
	K_INSERT_HERE,	D3,	312
	K_REMOVE,	D3,	313
	K_SELECT,	D3,	314
	K_PREV_SCREEN,	D3,	315
	K_NEXT_SCREEN,	D3,	316
; Conditions
;;	K_CANCELLED,	D3,	508		; not implemented (yet)
	K_TIMEOUT,	D3,	509		; not implemented (yet)
;;	K_BUFFER_FULL,	D3,	510		; not implemented (yet)
	K_UNKNOWN,	D3,	511
;
; End of key definitions
;-
